Need Mtext help

Discussion in 'AutoCAD' started by bmossman, Aug 21, 2004.

  1. bmossman

    bmossman Guest

    How can i modify this routine to prompt for the user text in the mtext editor in lieu of at the command line? Currently it mimmicks the dtext command entry line by line at the command prompt.

    (defun c:L80 (/ txtht)
    (setq txtht (* 0.08 (getvar "dimscale")))
    (command "-style"
    "simplex" ; name of text style
    "simplex" ; font name
    txtht ; height of text
    "1" ; width factor
    "0" ; obliquing angle
    "" ; text backwards
    "" ; text upside-down
    )
    (while (> (getvar "CMDACTIVE") 0)(command "")) ; Vertical
    (prompt "\nCurrent Style set to L80 ")
    (princ)
    (command "mtext")
    )

    Brian
     
    bmossman, Aug 21, 2004
    #1
  2. bmossman

    Chuck Guest

    Here's how I do it:
    (initdia)
    (command "_.mtext")

    editor in lieu of at the command line? Currently it mimmicks the dtext
    command entry line by line at the command prompt.
     
    Chuck, Aug 21, 2004
    #2
  3. bmossman

    bmossman Guest

    Thanks Chuck... that's what i'm looking for.
     
    bmossman, Aug 21, 2004
    #3
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.